play.templates

## Class GroovyInlineTags

- java.lang.Object
- - play.templates.GroovyInlineTags

-     public class GroovyInlineTags
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroovyInlineTags.CALL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyInlineTags()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `_else(int index, GroovyInlineTags.CALL f)`
    `static java.lang.String` | `_elseif(int index, GroovyInlineTags.CALL f)`
    `static java.lang.String` | `_if(int index, GroovyInlineTags.CALL f)`
    `static java.lang.String` | `_ifnot(int index, GroovyInlineTags.CALL f)`
    `static java.lang.String` | `_list(int index, GroovyInlineTags.CALL f)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyInlineTags

          public GroovyInlineTags()

  - ### Method Detail

    - #### _if

          public static java.lang.String _if(int index,
                                             GroovyInlineTags.CALL f)

    - #### _ifnot

          public static java.lang.String _ifnot(int index,
                                                GroovyInlineTags.CALL f)

    - #### _else

          public static java.lang.String _else(int index,
                                               GroovyInlineTags.CALL f)

    - #### _elseif

          public static java.lang.String _elseif(int index,
                                                 GroovyInlineTags.CALL f)

    - #### _list

          public static java.lang.String _list(int index,
                                               GroovyInlineTags.CALL f)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly